201

Which browsers are officially supported by Stack Exchange?

Also, what else is needed in order to use every feature of the site?

Return to FAQ index

180

Which browsers are supported?

We support the last two stable versions of the browsers that we see the vast majority of our visitors actually use. This does not include beta/dev releases, which are not supported.

The supported browsers, in practice, based on the above guideline:

  • Standard View
  • Mobile View
    • Chrome for Android
      • Supported: Last 2 versions
    • Mobile Safari (iPhone browser)
      • Supported: last 2 versions.

Our browser support can be visualized using this Browserlist configuration string.

If your browser isn’t in this list, it still may work, but with a degraded experience. Less common browsers people have tried:

  • Standard

    • Vivaldi
      • Works
    • Brave
      • Works
    • Avast Secure Browser
      • Works
    • Falkon
      • Works
  • Mobile

    • Internet Explorer Mobile
      • Works with Windows Phone 8, at least
    • Microsoft Edge Mobile
      • Works with Android, Windows 10 Mobile unconfirmed
    • Firefox for Mobile
      • Stack Overflow appears to function properly in 10.0.3
    • Chrome for iOS
      • Stack Overflow appears to function properly in the latest version
    • Opera Mobile
      • Stack Overflow appears to function properly in 12.0.1
      • Exception: Opera Mini
    • Symbian

What else do I need?

There are requirements beyond using a modern browser for getting the best possible experience:

  • Thanks @ShadowWizard. Things have sure changed a lot since I wrote the original version of this answer. People were still using Firefox 2 at the time! But even then, IE6 was unsupported.... – Pops May 9 '16 at 20:11
  • Indeed @Pops - I considered making such edit at some point, but wasn't sure enough I can do it right. Let's hope this will reduce confusion now. :-) – ShaWiz May 9 '16 at 20:35
  • @Pops IE11 isn't listed on the wikipedia page, is it supported? – noɥʇʎԀʎzɐɹƆ Aug 3 '16 at 18:11
  • @uoɥʇʎPʎzɐɹC which page are you looking at? I see it in the linked page, which hasn't been edited since between before you posted your comment and now, listed as "Current (final) release" – Pops Aug 11 '16 at 18:59
  • 9
    "Android browser" and "Chrome for Android" are not the same thing, and only the former is mentioned. – Flimm Sep 28 '16 at 9:57
  • 5
    What about the long-term supported browser versions? Like Mozilla Firefox ESR and Microsoft Edge on Win10 LTSB? – phk Dec 28 '16 at 19:20
  • 6
    I don't want "the best possible experience" if that means unnecessary animations and other pointless distractions. I just want to be able to read, vote, post, edit, and comment. Yet SE seems to require JavaScript to be enabled for all of these except reading. This requirement is unnecessary and annoying. SE devs, please make the necessary code for this functionality into pure server-side code, and stop requiring contributors to run any of it on their PCs. Thank you :) – sampablokuper Aug 3 '17 at 21:16
  • 2
    Really, the Wii browser works? That's a masterpiece, for me the Wii browser works on almost no page. Are you sure you don't mean the Wii U browser? – Fabian Röling Nov 8 '17 at 14:07

You must log in to answer this question.

protected by ShaWiz Feb 13 '14 at 13:54

Thank you for your interest in this question. Because it has attracted low-quality or spam answers that had to be removed, posting an answer now requires 10 reputation on this site (the association bonus does not count).

Would you like to answer one of these unanswered questions instead?

Not the answer you're looking for? Browse other questions tagged .